> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1pricingsubscribe



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/pricing/subscribe
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/pricing/subscribe:
    post:
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - period
                - planId
                - planName
                - price
              type: object
              properties:
                planId:
                  type: string
                planName:
                  type: string
                price:
                  type: number
                period:
                  type: string
                  enum:
                    - month
                    - year
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````